searchNodes=[{"ref":"ExAliyunAMQP.Connection.html","title":"ExAliyunAMQP.Connection","type":"module","doc":"Simple wrapper for AMQP.Connection within Alibaba AMQP product&#39;s authorization."},{"ref":"ExAliyunAMQP.Connection.html#close/1","title":"ExAliyunAMQP.Connection.close/1","type":"function","doc":"Closes an open Connection."},{"ref":"ExAliyunAMQP.Connection.html#open/2","title":"ExAliyunAMQP.Connection.open/2","type":"function","doc":"Similar as AMQP.Connection.open/2, but there are some options are different. Options :access_id - The access_id of Alibaba resource access management for AMQP product, it is instead of username option (required); :secret_key - The secret_key of Alibaba resource access management for AMQP product, it is instead of password option (required); :owner_id - The id of Alibaba cloud account (required); :host - The hostname of the Alibaba AMQP product broker (required); :virtual_host - The name of a virtual host in the Alibaba AMQP product broker (required); :port - The port the broker is listening on (defaults to 5672); :channel_max - The channel_max handshake parameter (defaults to 0); :frame_max - The frame_max handshake parameter (defaults to 0); :heartbeat - The hearbeat interval in seconds (defaults to 10); :connection_timeout - The connection timeout in milliseconds (defaults to 50000); :ssl_options - Enable SSL by setting the location to cert files (defaults to :none); :client_properties - A list of extra client properties to be sent to the server, defaults to []; :socket_options - Extra socket options. These are appended to the default options. See http://www.erlang.org/doc/man/inet.html#setopts-2 and http://www.erlang.org/doc/man/gen_tcp.html#connect-4 for descriptions of the available options."},{"ref":"ExAliyunAMQP.Connection.html#options/1","title":"ExAliyunAMQP.Connection.options/1","type":"function","doc":"Prepare options of connection with Alibaba AMQP product&#39;s authorization, please see options of open/2 for details. The :access_id, :secret_key, :owner_id option are not AMQP connection starndard options, they are used to construct the required :username and :password option, to keep the returned options may used in other AMQP client initialization (e.g. BroadwayRabbitMQ.AmqpClient.init/1), these 3 options are not in the returned."},{"ref":"readme.html","title":"ExAliyunAMQP.Connection","type":"extras","doc":"ExAliyunAMQP.Connection This library is built on amqp and make a simple wrapper for AMQP.Connection within Alibaba AMQP product&#39;s authorization."},{"ref":"readme.html#installation","title":"ExAliyunAMQP.Connection - Installation","type":"extras","doc":"Adding ex_aliyun_amqp to your list of dependencies in mix.exs: def deps do [ {:ex_aliyun_amqp, &quot;~&gt; 0.1&quot;} ] end"},{"ref":"readme.html#sample","title":"ExAliyunAMQP.Connection - Sample","type":"extras","doc":"def main() do options = [ access_id: &quot;&quot;, secret_key: &quot;&quot;, owner_id: &quot;&quot;, host: &quot;&quot;, virtual_host: &quot;&quot; ] {:ok, connection} = ExAliyunAMQP.Connection.open(options) # The returned `connection` is an AMQP.Connection, and then # can be used for the ongoing call to AMQP.Channel.open/1 . end"},{"ref":"readme.html#reference","title":"ExAliyunAMQP.Connection - Reference","type":"extras","doc":"Idiomatic Elixir client for RabbitMQErlang RabbitMQ Client library"}]